Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 229659 - Your RHN list tags don't support column span; causing some rendering issues
Summary: Your RHN list tags don't support column span; causing some rendering issues
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Network
Classification: Red Hat
Component: RHN/Web Site
Version: rhn500
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Partha Aji
QA Contact: Preethi Thomas
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-02-22 16:10 UTC by Máirín Duffy
Modified: 2008-04-02 21:07 UTC (History)
1 user (show)

Fixed In Version: sat510
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-04-02 21:07:42 UTC


Attachments (Terms of Use)
screenshot of funkified double header lists in IE (deleted)
2007-02-22 16:10 UTC, Máirín Duffy
no flags Details
funkified double header lists in Firefox. Notice how 'systems' in 'recently registered systems' spills onto a second line even though there is plenty of room for it to be on one line. (deleted)
2007-02-22 16:13 UTC, Máirín Duffy
no flags Details

Description Máirín Duffy 2007-02-22 16:10:48 UTC
Description of problem:

This affects both Satellite and Hosted's webui.

The Your RHN redesign introduced the concept of having a 'double header' table,
where there is one header ('th') row for providing the name of the table, and
another header row for providing labels for the table's columns.

There is one issue with the list tag being used to render these tables. See, the
first header row, one 'th' cell with the name of the table, should always span
all of the columns, while the second header row, one 'th' cell per 'td' column
below it, should not span all the columns. Because the first header row's 'th'
tag is not spanning all of the rows, tables with a lot of columns the table name
gets squeezed into a very narrow table header cell, blowing the table out
vertically.

There isn't actually any way I could fix this in CSS; the column span attribute
for CSS is only in the CSS3 draft which means it's pretty much not supported in
any browsers. So the only way to fix this is to set the colspan attribute of the
th tag for the table's name (the first th tag in a double-header table) equal to
the number of columns in the table. For example, the most problematic list with
this issue right now is the 'recently registered systems' list. Here is what the
header of this *should* look like to fix this issue:

<table width="100%" cellspacing="0" cellpadding="0" class="list list-doubleheader">
<thead>
<tr>
  <th colspan="6"><strong>Recently Registered Systems</strong></th>
</tr>

<tr>
  <th class="row-2" style="text-align: center;">Updates</th>
  <th class="row-2" style="text-align: left;">System</th>
  <th class="row-2" style="text-align: left;">Base Channel</th>
  <th class="row-2" style="text-align: left;">Date Registered</th>
  <th class="row-2" style="text-align: left;">Registered by</th>
  <th class="row-2" style="text-align: left;">Entitlement</th>
</tr>

</thead>

I'm attaching screenshots showing the symptoms of this issue in both IE and
Firefox. It's particularly bad in IE because the second header row's coloration
is the same as the first in IE (IE is missing support for the appropriate CSS
selectors for the coloration to be possible.)

Comment 1 Máirín Duffy 2007-02-22 16:10:48 UTC
Created attachment 148579 [details]
screenshot of funkified double header lists in IE

Comment 2 Máirín Duffy 2007-02-22 16:13:40 UTC
Created attachment 148582 [details]
funkified double header lists in Firefox. Notice how 'systems' in 'recently registered systems' spills onto a second line even though there is plenty of room for it to be on one line.

Comment 3 Partha Aji 2007-11-09 05:12:22 UTC
Moved the Recently Registered systems clip to the new list tag to address this..

Comment 4 Preethi Thomas 2007-12-05 18:05:24 UTC
fails_qa
In IE ,Notice how 'systems' in 'recently
registered systems' spills onto a second line even though there is plenty of
room for it to be on one line.


Comment 5 Partha Aji 2007-12-14 19:32:19 UTC
Hmm.. looks like it appears ok on IE 6 and IE 7.. Can you get a screenshot ?

Comment 6 Preethi Thomas 2008-01-09 18:49:51 UTC
verified

Comment 7 Devan Goodwin 2008-03-14 19:25:57 UTC
Verified against stage with both Firefox 2 and IE7. Moving to release pending.

Comment 8 Brandon Perkins 2008-04-02 21:07:42 UTC
UI Enhancements for 5.1 Sat GA so Closed for Current Release.


Note You need to log in before you can comment on or make changes to this bug.